YUI AS Component Documentation |
Class JSONTokenType

Package | com.adobe.serialization.json
Class | public class JSONTokenType

Class containing constant values for the different types of tokens in a JSON encoded string.

Public Constants

| Constant | Defined by
--- | --- | ---
|  | COLON : int = 6 [static] | JSONTokenType
|  | COMMA : int = 0 [static] | JSONTokenType
|  | FALSE : int = 8 [static] | JSONTokenType
|  | LEFT_BRACE : int = 1 [static] | JSONTokenType
|  | LEFT_BRACKET : int = 3 [static] | JSONTokenType
|  | NULL : int = 9 [static] | JSONTokenType
|  | NUMBER : int = 11 [static] | JSONTokenType
|  | RIGHT_BRACE : int = 2 [static] | JSONTokenType
|  | RIGHT_BRACKET : int = 4 [static] | JSONTokenType
|  | STRING : int = 10 [static] | JSONTokenType
|  | TRUE : int = 7 [static] | JSONTokenType
|  | UNKNOWN : int = -1 [static] | JSONTokenType

Constant detail

COLON | constant

`public static const COLON:int = 6`

COMMA | constant |

`public static const COMMA:int = 0`

FALSE | constant |

`public static const FALSE:int = 8`

LEFT_BRACE | constant |

`public static const LEFT_BRACE:int = 1`

LEFT_BRACKET | constant |

`public static const LEFT_BRACKET:int = 3`

NULL | constant |

`public static const NULL:int = 9`

NUMBER | constant |

`public static const NUMBER:int = 11`

RIGHT_BRACE | constant |

`public static const RIGHT_BRACE:int = 2`

RIGHT_BRACKET | constant |

`public static const RIGHT_BRACKET:int = 4`

STRING | constant |

`public static const STRING:int = 10`

TRUE | constant |

`public static const TRUE:int = 7`

UNKNOWN | constant |

`public static const UNKNOWN:int = -1`